package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.sop.business.util.excel.BasicExcelRow;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description: 人员档案导入Dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/7/31
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class UserArchivesImportDto extends BasicExcelRow implements Serializable {

    //    @ExcelColumn(name = "姓名", index = 0, nullable = true)
    @ExcelProperty(value = "姓名")
    @NotBlank(message = "姓名不能为空")
    private String name;

    @ExcelProperty(value = "工号")
    @NotBlank(message = "工号不能为空")
    private String code;

    @ExcelProperty(value = "手机号")
    private String phoneNumber;

    @ExcelProperty(value = "组织架构")
    @NotBlank(message = "组织架构不能为空")
    private String orgName;

    @ExcelProperty(value = "角色")
    @NotBlank(message = "角色不能为空")
    private String roleName;

    public UserArchivesImportDto() {

    }

    public UserArchivesImportDto(String name, String code, String phoneNumber, String orgName, String roleName) {
        this.name = name;
        this.code = code;
        this.phoneNumber = phoneNumber;
        this.orgName = orgName;
        this.roleName = roleName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
}
