package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.FlowStatusEnum;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 工作台待办result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/8/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class WorkTaskResult implements Serializable {

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "用户姓名")
    private String realName;

    @ApiModelProperty(value = "流程状态")
    private FlowStatusEnum status;

    @ApiModelProperty(value = "流程状态str")
    private String statusStr;

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程任务节点名称")
    private String taskName;

    @ApiModelProperty(value = "流程任务节点key")
    private String taskDefKey;

    @ApiModelProperty(value = "流程任务id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long taskId;

    @ApiModelProperty(value = "流程步骤")
    private Integer setup;

    @ApiModelProperty(value = "流程过程变量")
    private String flowProcessVar;

    @ApiModelProperty(value = "流程自定义id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customFlowId;

    @ApiModelProperty(value = "流程部署id")
    private String flowDeploymentId;

    @ApiModelProperty(value = "流程实体id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customFlowEntityid;

    @ApiModelProperty(value = "流程类型")
    private TFCustomTypeEnum type;

    @ApiModelProperty(value = "流程类型str")
    private String typeStr;

    @ApiModelProperty(value = "用户登录名")
    private String loginName;

    @ApiModelProperty(value = "用户手机号")
    private String mobileNumber;

    @ApiModelProperty(value = "流程编号")
    private String code;

    @ApiModelProperty(value = "流程版本号")
    private Integer version;

    @ApiModelProperty(value = "动态表单")
    FlowTaskResult setupMap;


    public FlowTaskResult getSetupMap() {
        return setupMap;
    }

    public void setSetupMap(FlowTaskResult setupMap) {
        this.setupMap = setupMap;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public TFCustomTypeEnum getType() {
        return type;
    }

    public void setType(TFCustomTypeEnum type) {
        this.type = type;
    }

    public String getTypeStr() {
        if (Objects.nonNull(type)) {
            return type.getTitle();
        } else {
            return typeStr;
        }
    }

    public void setTypeStr(String typeStr) {
        this.typeStr = typeStr;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Long getCustomFlowEntityid() {
        return customFlowEntityid;
    }

    public void setCustomFlowEntityid(Long customFlowEntityid) {
        this.customFlowEntityid = customFlowEntityid;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public FlowStatusEnum getStatus() {
        return status;
    }

    public void setStatus(FlowStatusEnum status) {
        this.status = status;
    }

    public String getStatusStr() {
        if (Objects.nonNull(status)) {
            return status.getTitle();
        } else {
            return statusStr;
        }
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskDefKey() {
        return taskDefKey;
    }

    public void setTaskDefKey(String taskDefKey) {
        this.taskDefKey = taskDefKey;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public String getFlowProcessVar() {
        return flowProcessVar;
    }

    public void setFlowProcessVar(String flowProcessVar) {
        this.flowProcessVar = flowProcessVar;
    }

    public Long getCustomFlowId() {
        return customFlowId;
    }

    public void setCustomFlowId(Long customFlowId) {
        this.customFlowId = customFlowId;
    }

    public String getFlowDeploymentId() {
        return flowDeploymentId;
    }

    public void setFlowDeploymentId(String flowDeploymentId) {
        this.flowDeploymentId = flowDeploymentId;
    }
}
