package com.qmth.sop.business.entity;

import java.io.Serializable;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * 客户角色配置表 模型.
 * 
 * @author: shudonghui
 * @date: 2023-08-10 08:23:57
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@ApiModel(value = "sys_custom_role对象", description = "客户角色配置表")
public class SysCustomRole implements Serializable {

	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "主键")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long id;

  	@ApiModelProperty(value = "客户id")
	@JsonSerialize(using = ToStringSerializer.class)
	@NotBlank(message = "客户id不能为空")
  	private long customId;
  	@ApiModelProperty(value = "角色id")
	@JsonSerialize(using = ToStringSerializer.class)
	@NotBlank(message = "角色id不能为空")
  	private long roleId;
  	@ApiModelProperty(value = "配额")
	@JsonSerialize(using = ToStringSerializer.class)
	@NotBlank(message = "配额不能为空")
  	private long quota;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * 客户id
	 */	
  	public void setCustomId(long customId) {
		this.customId = customId;
  	}
 	/**
	 * 客户id
	 */	 	
  	public long getCustomId() {
		return customId;
  	}
	/**
	 * 角色id
	 */	
  	public void setRoleId(long roleId) {
		this.roleId = roleId;
  	}
 	/**
	 * 角色id
	 */	 	
  	public long getRoleId() {
		return roleId;
  	}
	/**
	 * 配额
	 */	
  	public void setQuota(long quota) {
		this.quota = quota;
  	}
 	/**
	 * 配额
	 */	 	
  	public long getQuota() {
		return quota;
  	}
}