package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考勤打卡表
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
@ApiModel(value="TBDingHistory对象", description="考勤打卡表")
public class TBDingHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考勤id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long dingId;

    @ApiModelProperty(value = "签到日期")
    private String signDate;

    @ApiModelProperty(value = "签到时间")
    private Long signInTime;

    @ApiModelProperty(value = "坐标轴X")
    private String axisInX;

    @ApiModelProperty(value = "坐标轴Y")
    private String axisInY;

    @ApiModelProperty(value = "人脸识别是否通过，0：未通过，1：通过")
    private Boolean faceInError;

    @ApiModelProperty(value = "签退时间")
    private Long signOutTime;

    @ApiModelProperty(value = "坐标轴X")
    private String axisOutX;

    @ApiModelProperty(value = "坐标轴Y")
    private String axisOutY;

    @ApiModelProperty(value = "人脸识别是否通过，0：未通过，1：通过")
    private Boolean faceOutError;

    @ApiModelProperty(value = "创建人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDingId() {
        return dingId;
    }

    public void setDingId(Long dingId) {
        this.dingId = dingId;
    }

    public String getSignDate() {
        return signDate;
    }

    public void setSignDate(String signDate) {
        this.signDate = signDate;
    }

    public Long getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Long signInTime) {
        this.signInTime = signInTime;
    }

    public String getAxisInX() {
        return axisInX;
    }

    public void setAxisInX(String axisInX) {
        this.axisInX = axisInX;
    }

    public String getAxisInY() {
        return axisInY;
    }

    public void setAxisInY(String axisInY) {
        this.axisInY = axisInY;
    }

    public Boolean getFaceInError() {
        return faceInError;
    }

    public void setFaceInError(Boolean faceInError) {
        this.faceInError = faceInError;
    }

    public Long getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Long signOutTime) {
        this.signOutTime = signOutTime;
    }

    public String getAxisOutX() {
        return axisOutX;
    }

    public void setAxisOutX(String axisOutX) {
        this.axisOutX = axisOutX;
    }

    public String getAxisOutY() {
        return axisOutY;
    }

    public void setAxisOutY(String axisOutY) {
        this.axisOutY = axisOutY;
    }

    public Boolean getFaceOutError() {
        return faceOutError;
    }

    public void setFaceOutError(Boolean faceOutError) {
        this.faceOutError = faceOutError;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
}
