package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.result.ServiceRegionResult;
import com.qmth.sop.business.bean.result.SysLogResult;
import com.qmth.sop.business.entity.TBServiceRegion;
import com.qmth.sop.common.enums.ServiceStatusEnum;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 服务区域规划表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public interface TBServiceRegionMapper extends BaseMapper<TBServiceRegion> {
    /**
     * 服务区域规划分页查询
     *
     * @param iPage         分页参数
     * @param serviceUnitId 服务单元id
     * @param leadId        大区经理id
     * @param city          区域城市
     * @return 分页查询结果
     */
    IPage<ServiceRegionResult> findServiceRegionPage(@Param("iPage") Page<SysLogResult> iPage,
                                                     @Param("serviceUnitId") Long serviceUnitId,
                                                     @Param("leadId") Long leadId,
                                                     @Param("city") String city,
                                                     @Param("serviceStatus") ServiceStatusEnum serviceStatus);
}
