package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.Sequence;
import com.qmth.sop.common.enums.TFCustomTypeEnum;

/**
 * <p>
 * 序列表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-14
 */
public interface SequenceService extends IService<Sequence> {

    /**
     * 获取序列号
     *
     * @param name
     * @return
     */
    Long selectNextVal(String name) throws InterruptedException;

    /**
     * 创建流程编号
     *
     * @param tfCustomTypeEnum
     * @return
     */
    String createFlowCode(TFCustomTypeEnum tfCustomTypeEnum) throws InterruptedException;

    /**
     * 创建CRM编号
     *
     * @param crm
     * @return
     */
    String createCrmCode(String crm) throws InterruptedException;
}
