package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.SysDeviceResult;
import com.qmth.sop.business.entity.SysDevice;
import java.util.Map;

/**
 * 设备配置表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDeviceService extends IService<SysDevice>{

    /**
    * 查询列表
    *
    * @param
    * @return
    */
    <T> IPage<SysDeviceResult> query(Page<T> tPage, String query);

    /**
    * 新增设备配置表
    *
    * @param sysDevice
    */
    void add(SysDevice sysDevice);

    /**
    * 修改设备配置表
    *
    * @param sysDevice
    */
    void update(SysDevice sysDevice);

    /**
    * 删除设备配置表
    *
    * @param id
    */
    void delete(Long id);


    void disable(long id);
}