package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.result.TBDingCountQueryResult;
import com.qmth.sop.business.bean.result.TBDingCountResult;
import com.qmth.sop.business.entity.TBDing;
import com.qmth.sop.business.mapper.TBDingMapper;
import com.qmth.sop.business.service.TBDingService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 考勤打卡表 服务实现.
 *
 * @author: shudonghui
 * @date: 2023-08-10 14:23:08
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@Service
public class TBDingServiceImpl extends ServiceImpl<TBDingMapper, TBDing> implements TBDingService {


    /**
     * 查询列表
     *
     * @param iPage
     * @return
     */

    @Override
    public IPage<TBDingCountQueryResult> query(IPage<Map> iPage, Long serviceId, String status, Long createId, String userName, Long supplierId, String custom, String sopNo, Long days) {
        return this.baseMapper.query(iPage, serviceId, status, createId, userName, supplierId, custom, sopNo, days);
    }

    @Override
    public List<TBDingCountQueryResult> query(Long serviceId, String status, Long createId, String userName, Long supplierId, String custom, String sopNo, Long days) {
        return this.baseMapper.query(serviceId, status, createId, userName, supplierId, custom, sopNo, days);
    }

    @Override
    public TBDingCountResult count(Long serviceId,  Long createId, String userName, Long supplierId, String custom, String sopNo) {
        return this.baseMapper.count(serviceId, createId, userName, supplierId, custom, sopNo);
    }
}