﻿-- 2023/08/07 日志管理表字段更改
ALTER TABLE `sys_log` ADD COLUMN `user_id` bigint(0) NOT NULL COMMENT '用户id' AFTER `id`;

ALTER TABLE `sys_log` ADD COLUMN `user_name` varchar(100) NULL DEFAULT NULL COMMENT '用户名称' AFTER `user_id`;

ALTER TABLE `sys_log` ADD COLUMN `url` varchar(64) NULL DEFAULT NULL COMMENT '请求的url' AFTER `content`;

ALTER TABLE `sys_log` ADD COLUMN `args` mediumtext NULL COMMENT '请求的参数' AFTER `url`;

ALTER TABLE `sys_log` ADD COLUMN `run_time` bigint(0) NULL DEFAULT NULL COMMENT '请求的响应时间' AFTER `create_time`;

ALTER TABLE `sys_log` ADD COLUMN `run_status` varchar(64) NULL DEFAULT NULL COMMENT '请求的结果' AFTER `run_time`;

-- 2023/08/10 更改表名
ALTER TABLE t_b_service_region_deatil RENAME TO t_b_service_region_detail;

-- 2023/08/11
-- 服务单元管理权限
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2000', '服务单元管理-编辑', '/api/service/service/unit/edit', 'URL', '54', '1', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2001', '服务单元管理-分页查询', '/api/service/service/unit/page', 'URL', '54', '2', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2002', '服务单元管理-发布', '/api/service/service/unit/publish', 'URL', '54', '3', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2003', '服务单元管理-关闭', '/api/service/service/unit/cloze', 'URL', '54', '4', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2004', '服务单元管理-重启', '/api/service/service/unit/restart', 'URL', '54', '5', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2005', '服务单元管理-作废', '/api/service/service/unit/cancel', 'URL', '54', '6', 'AUTH', '1', '1', '0');
-- 服务范围管理权限
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2006', '服务范围管理-分页查询', '/api/service/service/scope/page', 'URL', '55', '1', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2007', '服务范围管理-派单小计', '/api/service/service/scope/subTotal', 'URL', '55', '2', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2008', '服务范围管理-新增服务范围-未绑定派单分页查询', '/api/service/service/scope/unbind/page', 'URL', '55', '3', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2009', '服务范围管理-批量划定派单和服务单元关系', '/api/service/service/scope/bind_batch', 'URL', '55', '4', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2010', '服务范围管理-移出', '/api/service/service/scope/unbind', 'URL', '55', '5', 'AUTH', '1', '1', '0');
-- 服务区域规划权限
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2011', '服务区域规划-分页查询', '/api/service/service/region/page', 'URL', '56', '1', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2012', '服务区域规划-编辑', '/api/service/service/region/edit', 'URL', '56', '2', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2013', '服务区域规划-删除', '/api/service/service/region/remove', 'URL', '56', '3', 'AUTH', '1', '1', '0');
-- 服务单元管理的元素绑定
UPDATE sys_privilege SET related = '2001' WHERE (id = '218');
UPDATE sys_privilege SET related = '2001' WHERE (id = '219');
UPDATE sys_privilege SET related = '2000' WHERE (id = '220');
UPDATE sys_privilege SET related = '2001' WHERE (id = '221');
UPDATE sys_privilege SET related = '2000' WHERE (id = '222');
UPDATE sys_privilege SET related = '2005' WHERE (id = '223');
UPDATE sys_privilege SET related = '2002' WHERE (id = '225');
UPDATE sys_privilege SET related = '2004' WHERE (id = '226');
UPDATE sys_privilege SET related = '2003' WHERE (id = '227');
-- 服务范围管理的元素绑定
UPDATE sys_privilege SET name = '新增服务范围', related = '2008,2009' WHERE (id = '230');
UPDATE sys_privilege SET related = '2006' WHERE (id = '228');
UPDATE sys_privilege SET related = '2006' WHERE (id = '229');
UPDATE sys_privilege SET related = '2006' WHERE (id = '231');
UPDATE sys_privilege SET related = '2010' WHERE (id = '232');
-- 服务区域规划的元素绑定
UPDATE sys_privilege SET related = '2011' WHERE (id = '233');
UPDATE sys_privilege SET related = '2011' WHERE (id = '234');
UPDATE sys_privilege SET related = '2011' WHERE (id = '236');
UPDATE sys_privilege SET related = '2013' WHERE (id = '238');
UPDATE sys_privilege SET related = '2012' WHERE (id = '235');
UPDATE sys_privilege SET related = '2012' WHERE (id = '237');

-- 2023/08/13
ALTER TABLE `t_b_crm`
    CHANGE COLUMN `service_id` `service_id` BIGINT NULL COMMENT '服务单元id' ;

-- 日志管理权限
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2014', '日志管理-查询', '/api/sys/log/page', 'URL', '10', '1', 'AUTH', '1', '1', '0');
UPDATE sys_privilege SET related = '2014' WHERE (id = '108');
UPDATE sys_privilege SET related = '2014' WHERE (id = '109');
UPDATE sys_privilege SET related = '2014' WHERE (id = '110');
