﻿--2023.8.7update
ALTER TABLE sys_user ADD gender varchar(20) NULL COMMENT '性别，MAN：男，WOMAN：女';
ALTER TABLE sys_user CHANGE gender gender varchar(20) NULL COMMENT '性别，MAN：男，WOMAN：女' AFTER org_id;
ALTER TABLE sys_user CHANGE org_id org_id bigint NULL COMMENT '机构id' AFTER mobile_number;

UPDATE sys_privilege
SET name='人员档案导入', url='/api/admin/user/archives/import', `type`='URL', parent_id=33, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=70;
UPDATE sys_privilege
SET name='人员档案导出', url='/api/admin/user/archives/export', `type`='URL', parent_id=33, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=71;
UPDATE sys_privilege
SET name='任务管理查询', url='/api/admin/task/query', `type`='URL', parent_id=240, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=72;

INSERT INTO `sys_privilege` VALUES (252, '用户查询', '/api/admin/user/list', 'URL', 15, 1, 'AUTH', '122', 1, 1, 0);
INSERT INTO `sys_privilege` VALUES (283, '用户新增/修改', '/api/admin/user/save', 'URL', 15, 2, 'AUTH', '120', 1, 1, 0);
INSERT INTO `sys_privilege` VALUES (284, '用户启用/禁用', '/api/admin/user/enable', 'URL', 15, 3, 'AUTH', '121', 1, 1, 0);

-- ----------------------------
-- Table structure for t_s_auth
-- ----------------------------
DROP TABLE IF EXISTS `t_s_auth`;
CREATE TABLE `t_s_auth` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `school_id` bigint DEFAULT NULL COMMENT '学校id',
                            `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
                            `access_secret` varchar(255) DEFAULT NULL COMMENT 'accessSecret',
                            `description` text COMMENT '离线授权证书',
                            `type` varchar(16) NOT NULL COMMENT '授权类型',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '更新人',
                            `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                            `expire_time` bigint DEFAULT NULL COMMENT '过期时间',
                            `file` mediumblob COMMENT '文件数据',
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='激活授权配置表';

-- ----------------------------
-- Table structure for basic_school
-- ----------------------------
DROP TABLE IF EXISTS `basic_school`;
CREATE TABLE `basic_school` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `code` varchar(20) NOT NULL COMMENT '学校编码',
                                `domain_name` varchar(20) DEFAULT NULL COMMENT '域名',
                                `name` varchar(100) DEFAULT NULL COMMENT '学校名称',
                                `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
                                `access_key` varchar(50) DEFAULT NULL COMMENT '访问key',
                                `access_secret` varchar(50) DEFAULT NULL COMMENT '访问秘钥',
                                `remark` text COMMENT '备注',
                                `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                `logo` mediumtext COMMENT '学校logo',
                                PRIMARY KEY (`id`) USING BTREE,
                                UNIQUE KEY `code` (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='学校表';

--2023.8.8update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(285, '获取所有角色', '/api/admin/common/get_role_list', 'URL', 64, 10, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(286, '获取所有用户', '/api/admin/common/get_user_list', 'URL', 64, 11, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(287, '获取所有机构', '/api/admin/common/get_org_list', 'URL', 64, 12, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(288, '角色查询', '/api/admin/role/list', 'URL', 16, 1, 'AUTH', '123', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(289, '角色新增/修改', '/api/admin/role/save', 'URL', 16, 2, 'AUTH', '124,125', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(290, '角色删除', '/api/admin/role/delete', 'URL', 16, 3, 'AUTH', '126', 1, 1, 0);

ALTER TABLE sys_org ADD CONSTRAINT sys_org_UN_name UNIQUE KEY (name);
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_login_name UNIQUE KEY (org_id,login_name);
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_moblie_number UNIQUE KEY (org_id,mobile_number);
ALTER TABLE sys_role ADD CONSTRAINT sys_role_UN_type UNIQUE KEY (name,`type`);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=6, `sequence`=1, property='AUTH', related='256', enable=1, default_auth=0, front_display=1
WHERE id=89;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=6, `sequence`=1, property='AUTH', related='254', enable=1, default_auth=0, front_display=1
WHERE id=90;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=6, `sequence`=1, property='AUTH', related='254,257', enable=1, default_auth=0, front_display=1
WHERE id=91;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=6, `sequence`=2, property='AUTH', related='253', enable=1, default_auth=0, front_display=1
WHERE id=92;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=15, `sequence`=2, property='AUTH', related='252', enable=1, default_auth=0, front_display=1
WHERE id=122;
UPDATE sys_privilege
SET name='用户查询', url='/api/admin/user/list', `type`='URL', parent_id=15, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=252;
UPDATE sys_privilege
SET name='服务档位删除', url='/api/sys/level/delete', `type`='URL', parent_id=6, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=253;
UPDATE sys_privilege
SET name='服务档位', url='/api/sys/level/get', `type`='URL', parent_id=6, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=254;
UPDATE sys_privilege
SET name='服务档位列表', url='/api/sys/level/query', `type`='URL', parent_id=6, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=256;
UPDATE sys_privilege
SET name='服务档位修改', url='/api/sys/level/update', `type`='URL', parent_id=6, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=257;
UPDATE sys_privilege
SET name='客户新增', url='/api/sys/custom/add', `type`='URL', parent_id=3, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=258;
UPDATE sys_privilege
SET name='客户删除', url='/api/sys/custom/delete', `type`='URL', parent_id=3, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=259;
UPDATE sys_privilege
SET name='客户查询', url='/api/sys/custom/get', `type`='URL', parent_id=3, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=260;
UPDATE sys_privilege
SET name='客户批量导入', url='/api/sys/custom/import', `type`='URL', parent_id=3, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=261;
UPDATE sys_privilege
SET name='客户查询条件', url='/api/sys/custom/query', `type`='URL', parent_id=3, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=262;
UPDATE sys_privilege
SET name='客户修改', url='/api/sys/custom/update', `type`='URL', parent_id=3, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=263;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=3, `sequence`=3, property='AUTH', related='262', enable=1, default_auth=0, front_display=1
WHERE id=75;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=3, `sequence`=1, property='AUTH', related='260,263', enable=1, default_auth=0, front_display=1
WHERE id=77;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=3, `sequence`=2, property='AUTH', related='259,260', enable=1, default_auth=0, front_display=1
WHERE id=78;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=3, `sequence`=1, property='AUTH', related='258', enable=1, default_auth=0, front_display=1
WHERE id=79;
UPDATE sys_privilege
SET name='批量导入', url='BatchImport', `type`='BUTTON', parent_id=3, `sequence`=2, property='AUTH', related='261', enable=1, default_auth=0, front_display=1
WHERE id=80;
UPDATE sys_privilege
SET name='供应商新增', url='/api/sys/supplier/add', `type`='URL', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=264;
UPDATE sys_privilege
SET name='供应商启用/禁用', url='/api/sys/supplier/enable', `type`='URL', parent_id=4, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=265;
UPDATE sys_privilege
SET name='供应商列表', url='/api/sys/supplier/get', `type`='URL', parent_id=4, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=266;
UPDATE sys_privilege
SET name='供应商列表', url='/api/sys/supplier/query', `type`='URL', parent_id=4, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=268;
UPDATE sys_privilege
SET name='供应商修改', url='/api/sys/supplier/update', `type`='URL', parent_id=4, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=269;
UPDATE sys_privilege
SET name='设备新增', url='/api/sys/device/add', `type`='URL', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=270;
UPDATE sys_privilege
SET name='设备作废', url='/api/sys/device/delete', `type`='URL', parent_id=5, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=271;
UPDATE sys_privilege
SET name='设备作废', url='/api/sys/device/disable', `type`='URL', parent_id=5, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=272;
UPDATE sys_privilege
SET name='设备查询条件', url='/api/sys/device/get', `type`='URL', parent_id=5, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=273;
UPDATE sys_privilege
SET name='设备查询条件', url='/api/sys/device/query', `type`='URL', parent_id=5, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=275;
UPDATE sys_privilege
SET name='设备新增', url='/api/sys/device/update', `type`='URL', parent_id=5, `sequence`=7, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=276;
UPDATE sys_privilege
SET name='考勤新增', url='/api/sys/ding/group/add', `type`='URL', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=277;
UPDATE sys_privilege
SET name='考勤删除', url='/api/sys/ding/group/delete', `type`='URL', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=278;
UPDATE sys_privilege
SET name='考勤查询', url='/api/sys/ding/group/get', `type`='URL', parent_id=7, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=279;
UPDATE sys_privilege
SET name='考勤查询条件', url='/api/sys/ding/group/query', `type`='URL', parent_id=7, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=281;
UPDATE sys_privilege
SET name='考勤修改', url='/api/sys/ding/group/update', `type`='URL', parent_id=7, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=282;
UPDATE sys_privilege
SET name='用户新增/修改', url='/api/admin/user/save', `type`='URL', parent_id=15, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=283;
UPDATE sys_privilege
SET name='用户启用/禁用', url='/api/admin/user/enable', `type`='URL', parent_id=15, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=284;
UPDATE sys_privilege
SET name='角色查询', url='/api/admin/role/list', `type`='URL', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=288;
UPDATE sys_privilege
SET name='角色新增/修改', url='/api/admin/role/save', `type`='URL', parent_id=16, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=289;
UPDATE sys_privilege
SET name='角色删除', url='/api/admin/role/delete', `type`='URL', parent_id=16, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=290;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=81;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=82;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=83;
UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=4, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=84;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=85;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=86;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=87;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=5, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=88;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=94;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=95;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=96;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=106;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=15, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=120;
UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=15, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=121;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=123;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=125;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=16, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=126;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=16, `sequence`=1, property='AUTH', related='288', enable=1, default_auth=0, front_display=1
WHERE id=123;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related='289', enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related='289', enable=1, default_auth=0, front_display=1
WHERE id=125;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=16, `sequence`=2, property='AUTH', related='290', enable=1, default_auth=0, front_display=1
WHERE id=126;

UPDATE sys_privilege
SET name='修改密码', url='UpdatePwd', `type`='LINK', parent_id=15, `sequence`=3, property=NULL, related='18', enable=1, default_auth=0, front_display=1
WHERE id=17;
UPDATE sys_privilege
SET name='用户修改密码', url='/api/admin/user/update_password', `type`='URL', parent_id=15, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=18;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3000, '修改密码', '/api/admin/common/update_password', 'URL', 64, 13, 'SYS', NULL, 1, 1, 0);

--2023.8.10update
ALTER TABLE t_d_form_widget ADD sub_title varchar(1000) NULL COMMENT '子标题';
ALTER TABLE t_d_form_widget CHANGE sub_title sub_title varchar(1000) NULL COMMENT '子标题' AFTER span;

ALTER TABLE t_d_table_prop ADD sub_title varchar(1000) NULL COMMENT '子标题';
ALTER TABLE t_d_table_prop CHANGE sub_title sub_title varchar(1000) NULL COMMENT '子标题' AFTER colspan;

--2023.8.11update
UPDATE sys_privilege
SET name='通知公告管理', url='noticeManage', `type`='MENU', parent_id=8, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=9;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3001, '流程审批接口', '/api/admin/flow/approve', 'URL', 64, 14, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3002, '创建流程接口', '/api/admin/flow/createDeployment', 'URL', 64, 15, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3003, '结束流程接口', '/api/admin/flow/delete', 'URL', 64, 16, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3004, '获取流程部署信息接口', '/api/admin/flow/deployment/data', 'URL', 64, 17, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3005, '获取流程表单属性接口', '/api/admin/flow/form_properties/get', 'URL', 64, 18, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3006, '获取流程待办接口', '/api/admin/flow/getTaskList', 'URL', 64, 19, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3007, '流程转办接口', '/api/admin/flow/task/approver/exchange', 'URL', 64, 20, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3008, '上传流程接口', '/api/admin/flow/upload', 'URL', 64, 21, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3009, '获取流程详细信息接口', '/api/admin/flow/view', 'URL', 64, 22, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3010, '清除缓存接口', '/api/admin/common/cache_clear', 'URL', 3012, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3011, '超管菜单', 'adminManage', 'MENU', NULL, 10, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3012, '清除缓存', 'cacheManage', 'MENU', 3011, 1, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3013, '消息提醒规则', 'messageRuleManage', 'MENU', 3011, 2, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3014, '清除缓存', 'Clear', 'BUTTON', 3012, 1, 'AUTH', '3010', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3015, '查询枚举接口', '/api/admin/common/query_enum', 'URL', 64, 23, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_b_quality_problem_apply ADD problem_no VARCHAR(100)
    COMMENT '问题编号' NOT NULL after crm_no;

--2023.8.14update
-- ----------------------------
-- Table structure for sequence
-- ----------------------------
DROP TABLE IF EXISTS `sequence`;
CREATE TABLE `sequence` (
                            `name` varchar(50) CHARACTER SET utf8 NOT NULL COMMENT '名称',
                            `current_value` bigint NOT NULL DEFAULT '0' COMMENT '当前值',
                            `increment` int NOT NULL DEFAULT '1' COMMENT '增长值',
                            PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='序列表';

-- ----------------------------
-- Records of sequence
-- ----------------------------
BEGIN;
INSERT INTO `sequence` VALUES ('cloudMarkSopFlow', 0, 1);
INSERT INTO `sequence` VALUES ('dingExceptionFlow', 0, 1);
INSERT INTO `sequence` VALUES ('officeSopFlow', 0, 1);
INSERT INTO `sequence` VALUES ('projectExchangeFlow', 0, 1);
INSERT INTO `sequence` VALUES ('qualityProblemFlow', 0, 1);
COMMIT;

DROP FUNCTION IF EXISTS `currval`;
delimiter ;;
CREATE FUNCTION `currval`(seq_name VARCHAR(50)) RETURNS int
    DETERMINISTIC
BEGIN
	DECLARE value LONG;
	SET value = 0;
SELECT current_value INTO value
FROM sequence
WHERE name = seq_name;
RETURN value;
END;
;;
delimiter ;

DROP FUNCTION IF EXISTS `nextval`;
delimiter ;;
CREATE FUNCTION `nextval`(seq_name VARCHAR(50)) RETURNS int
    DETERMINISTIC
BEGIN
UPDATE sequence
SET current_value = current_value + increment
WHERE name = seq_name;
RETURN currval(seq_name);
END;
;;
delimiter ;

UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related='289,3016', enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related='289,3016', enable=1, default_auth=0, front_display=1
WHERE id=125;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3016, '角色权限查询接口', '/api/admin/role/privilege/list', 'URL', 16, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(19, NULL, 'flow.code.length', '流程编码长度', '10', NULL, 1, 1, 1, NULL, NULL, NULL);

ALTER TABLE t_f_custom_flow_entity MODIFY COLUMN code varchar(20) CHARACTER SET utf8mb4 NOT NULL COMMENT '编号';
ALTER TABLE t_f_custom_flow_entity ADD CONSTRAINT t_f_custom_flow_entity_UN_code UNIQUE KEY (code,flow_id);

DELETE FROM sys_privilege
WHERE id=22;

UPDATE sys_privilege
SET name='质量监控分析', url='qualityProblemControl', `type`='MENU', parent_id=20, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=23;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN sop_no sop_no VARCHAR(100)
    COMMENT 'sop单号' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN crm_no crm_no VARCHAR(100)
    COMMENT 'crm单号' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN service_id service_id BIGINT
    COMMENT '服务单元id' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN type type VARCHAR(20)
    COMMENT '问题类型，UPDATE：修正类，OPTIMIZE：优化类，NO_PROBLEM：不是问题' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN reason reason VARCHAR(20)
    COMMENT '问题原因类型，EXEC：执行类，MANAGER：管理协调类，FLOW：流程制度类，PRODUCT_PROBLEM：产品缺陷类，PRODUCT_MANAGER：产品运维类，OTHER：其它' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN user_id user_ids VARCHAR(500)
    COMMENT '责任人id数组' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN attachment_id attachment_ids VARCHAR(500)
    COMMENT '附件id数组' NULL;

ALTER TABLE t_b_quality_problem_apply ADD remark VARCHAR(500)
    COMMENT '问题情况说明' NOT NULL after summary;

ALTER TABLE t_b_quality_problem_apply ADD update_id BIGINT
    COMMENT '更新人id' NULL after create_time;

ALTER TABLE t_b_quality_problem_apply ADD update_time BIGINT
    COMMENT '更新时间' NULL after update_id;

UPDATE sys_privilege
SET name='上报质量问题', url='ProblemSubmit', `type`='LINK', parent_id=41, `sequence`=5, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=179;

--2023.8.15update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3017, '考勤异常申请接口', '/api/admin/ding/exception/apply/save', 'URL', 26, 1, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=21, `sequence`=1, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=127;
UPDATE sys_privilege
SET name='考勤打卡', url='ding', `type`='MENU', parent_id=25, `sequence`=1, property=NULL, related='3017', enable=1, default_auth=0, front_display=1
WHERE id=26;
UPDATE sys_privilege
SET name='待审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=131;
UPDATE sys_privilege
SET name='待审核-批量通过', url='BatchPass', `type`='BUTTON', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=132;
UPDATE sys_privilege
SET name='待审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=134;
UPDATE sys_privilege
SET name='待审核-批量拒绝', url='BatchReject', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=135;
UPDATE sys_privilege
SET name='待审核-通过', url='Pass', `type`='LINK', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=136;
UPDATE sys_privilege
SET name='待审核-拒绝', url='Reject', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=137;
UPDATE sys_privilege
SET name='已审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=138;
UPDATE sys_privilege
SET name='已审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=140;
UPDATE sys_privilege
SET name='获取全部流程待办', url='/api/admin/flow/task/un_done/list', `type`='URL', parent_id=64, `sequence`=19, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3006;

ALTER TABLE t_b_quality_problem_apply ADD CONSTRAINT t_b_quality_problem_apply_UN_probem_no UNIQUE KEY (problem_no);

ALTER TABLE t_b_ding_apply CHANGE COLUMN flow_id ding_exception_no VARCHAR(100)
    COMMENT '考勤异常编号' NOT NULL;

ALTER TABLE t_b_ding_apply CHANGE COLUMN attachment_id attachment_ids VARCHAR(500)
    COMMENT '附件id数组' NULL;

ALTER TABLE t_b_ding_apply ADD CONSTRAINT t_b_ding_apply_UN_ding_exception_no UNIQUE KEY (ding_exception_no);